#
# spec file for package python-retrying
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-retrying
Version:        1.3.4
Release:        4.2
Summary:        Retrying library for Python
License:        Apache-2.0
URL:            https://github.com/rholder/retrying
Source:         https://files.pythonhosted.org/packages/source/r/retrying/retrying-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six >= 1.7.0
BuildArch:      noarch
%python_subpackages

%description
Retrying is a general-purpose retrying library, written in Python, to
simplify the task of adding retry behavior to just about anything.

%prep
%setup -q -n retrying-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc AUTHORS.rst README.rst
%{python_sitelib}/retrying.py
%pycache_only %{python_sitelib}/__pycache__/retrying.*.py*
%{python_sitelib}/retrying-%{version}.dist-info

%changelog
* Wed Mar  6 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Switch package to modern Python Stack on SLE-15
  + Add %%{?sle15_python_module_pythons}
* Tue Jan  2 2024 Dirk Müller <dmueller@suse.com>
- require setuptools
* Thu Dec 21 2023 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- Stop using greedy globs in %%files.
* Tue Dec  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.3.4
  * Added Greg Roodt as maintainer
  * Formatted code with black
  * Updated repository references
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Improve summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Aug 26 2017 jengelh@inai.de
- Remove duplicated license information from description.
* Tue Aug 22 2017 tbechtold@suse.com
- convert to singlespec
* Wed Jan  7 2015 tbechtold@suse.com
- update to version 1.3.3:
  - Add minimum six version of 1.7.0 since anything less will break
  things
- Add python-six as Requires
* Thu Dec 11 2014 dmueller@suse.com
- update to 1.3.2:
  - Ensure we wrap the decorated functions to prevent information loss
  - Allow a jitter value to be passed in
  - Add requirements.txt to MANIFEST.in to fix pip installs
  - Add upstream six dependency, remove embedded six functionality
  - Add support for custom wait and stop functions
* Sun Jul 13 2014 dmueller@suse.com
- Initial package
